=== debian/changelog ===
iproute2 (4.15.0-2ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Use-after-free
    - debian/patches/CVE-2019-20795.patch: fix a user-after-free in
      ip/ipnetns.c in get_netnsid_from_name.
    - CVE-2019-20795

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 11 May 2020 11:40:47 -0300

iproute2 (4.15.0-2ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/patches/1000-ubuntu-poc-fan-driver.patch
      Ubuntu FAN driver support V2 (LP 1439706)
    - debian/patches/1001-ubuntu-poc-fan-driver-v3.patch
      Ubuntu FAN driver support V3 (LP 1470091)
    - debian/patches/1002-ubuntu-poc-fan-driver-vxlan.patch
      Ubuntu FAN driver support VXLAN V4
    - drop debian/patches/0001-Add-moo-feature.patch
    - set compat level 10 (no further changes needed)
    - Add: d/p/netns-allow-negative-nsid: permit negative nsid using "auto"
  * Dropped changes (in Debian):
    - follow upstream dropping the old ip documentation (of 1999)
    - d/rules: consider DEB_*_GNU_TYPE from env
    - d/control: bump debhelper dependency and Standards-Version
    - drop 0003-fix-segfault-with-iptables-1.6.patch (upstream)
    - d/control: fix lintian priority-extra-is-replaced-by-priority-optional
    - d/t/control: d/t/testsuite.sh: add iproute2 testsuite as autopkgtest
  * Dropped changes (upstream):
    - d/p/fix-testsuite-broken-pipes.patch: avoid broken pipe errors in tests
  * Added changes:
   - Refresh: d/p/*ubuntu-poc-fan-driver*.patch to latest upstream

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 26 Feb 2018 16:21:30 +0100

iproute2 (4.15.0-2) unstable; urgency=medium

  * Update upstream git repository URL. (Closes: #888804)

 -- Luca Boccassi <bluca@debian.org>  Sun, 18 Feb 2018 11:46:22 +0000

iproute2 (4.15.0-1) experimental; urgency=medium

  * Fix FTCBFS: Pass HOSTCC and PKG_CONFIG variables via CROSS.
    Thanks Helmut Grohne! (Closes: #888404)
  * Merge tag 'upstream/4.15.0' (Closes: #561424 #661886 #877983).
  * Drop 0005-fix-manpage-path.patch, fixed upstream.
  * Drop 0006-fix-testsuite-broken-pipes.patch, merged upstream.

 -- Luca Boccassi <bluca@debian.org>  Tue, 30 Jan 2018 14:51:52 +0000

iproute2 (4.14.1-2) unstable; urgency=medium

  * iproute2-doc: set it to Multiarch: foreign - no dependencies
    and no mainteiner script, just contains text files.
  * Do not override dpkg architecture variables if already set by
    dpkg-buildpackage.
    LW: debian-rules-sets-dpkg-architecture-variable
  * Drop iproute and iproute-doc transitional packages, as they
    have already shipped in Jessie and Stretch. (Closes: #878602)
  * Drop build-dependencies that are no longer necessary since
    upstream dropped all non-manpages docs. (Closes: #856473)
  * Update Standards-Version to 4.1.3:
    - dropped all "extra" priority packages
    - build reproducible out-of-the-box since 4.14.0
  * Add 0005-fix-manpage-path.patch to fix paths to documentation
    files in the manpages. (Closes: #819131, #867875)
  * Import autopkgtest (and 0006-fix-testsuite-broken-pipes.patch)
    from Ubuntu. Thanks Christian Ehrhardt!
  * Drop out-of-tree htb docs as they are not upstream and very,
    very old. (Closes: #617650)
  * Install the rdma binary. (Closes: #886231)
  * Switch from Alioth to Salsa and update VCS metadata.

 -- Luca Boccassi <bluca@debian.org>  Wed, 24 Jan 2018 19:19:17 +0000

iproute2 (4.14.1-1) unstable; urgency=medium

  * Merge tag 'upstream/4.14.1'
  * Drop 0002-txtdocs.patch, not needed anymore.
  * Remove rules and matches for old iproute doc, removed upstream.
  * B-D on zlib1g-dev as a workaround for #885071.

 -- Luca Boccassi <bluca@debian.org>  Sat, 23 Dec 2017 14:55:10 +0100

iproute2 (4.14.1-0ubuntu3) bionic; urgency=medium

  [ Christian Brauner ]
  * d/p/netns-allow-negative-nsid: permit negative nsid using "auto".

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 15 Feb 2018 15:03:56 +0000

iproute2 (4.14.1-0ubuntu2) bionic; urgency=medium

  * d/p/1002-ubuntu-poc-fan-driver-vxlan.patch: update to fix fan-map
    processing in vxlan_parse_opt in new version of iproute2.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 11 Dec 2017 12:13:50 +0100

iproute2 (4.14.1-0ubuntu1) bionic; urgency=medium

  [ Christian Ehrhardt ]
  * Merge from Debian unstable AND latest upstream (LP: #1726730)
    (LP: #1735032). Remaining changes:
    - debian/patches/1000-ubuntu-poc-fan-driver.patch
      Ubuntu FAN driver support V2 (LP 1439706)
    - debian/patches/1001-ubuntu-poc-fan-driver-v3.patch
      Ubuntu FAN driver support V3 (LP 1470091)
    - debian/patches/1002-ubuntu-poc-fan-driver-vxlan.patch
      Ubuntu FAN driver support VXLAN V4.
  * Dropped changes (upstream now)
    - Fix ip maddr show (LP 1732032):
      - d/p/1003-ip-maddr-fix-igmp-parsing.patch: fix igmp parsing when iface is
        long
      - d/p/1004-ip-maddr-avoid-uninitialized-data.patch: avoid accessing
        uninitialized data
      - d/p/1005-ip-maddr-fix-filtering-by-device.patch: fix filtering
        by device
    - d/p/1006-fix-undeclared-UINT16_MAX.patch: FTBFS: tc: include stdint.h
      explicitly for UINT16_MAX (LP 1735158)
  * Added changes
    - drop 0003-fix-segfault-with-iptables-1.6.patch (upstream)
    - update d/p/*ubuntu-poc-fan-driver*.patch to latest upstream
    - d/control: fix lintian priority-extra-is-replaced-by-priority-optional
    - d/t/control: d/t/testsuite.sh: add iproute2 testsuite as autopkgtest
    - d/p/fix-testsuite-broken-pipes.patch: avoid broken pipe errors in tests

  [ Julian Wollrath <jwollrath@web.de> ]
  * Added changes based on suggested 4.14.1-0 changes for Debian in bug 879854
    - dropped d/p/0001-Add-moo-feature.patch (isn't needed)
    - follow upstream dropping the old ip documentation (of 1999)
    - d/rules: consider DEB_*_GNU_TYPE from env
    - d/control: bump debhelper dependency and Standards-Version
    - set compat level 10 (no further changes needed)


