=== testsuite/tools/Makefile ===
# SPDX-License-Identifier: GPL-2.0
generate_nlmsg: generate_nlmsg.c ../../lib/libnetlink.c
	$(CC) -o $@ $^
