=== debian/changelog ===
iproute2 (4.18.0-1ubuntu2~ubuntu18.04.1) bionic-backports; urgency=medium

  [ Alfonso Sanchez-Beato ]
  * No-change backport to bionic

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 21 Mar 2019 09:38:42 +0100

iproute2 (4.18.0-1ubuntu2) cosmic; urgency=low

  * d/p/1006-ubuntu-iprule-fix-output.patch
    Fix destination prefix output of "ip rule show" (LP: #1789431).

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 28 Aug 2018 16:38:47 +0200

iproute2 (4.18.0-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add: Ubuntu Fan driver (V2/3/4) patches
      - debian/patches/1000-ubuntu-poc-fan-driver.patch
        Ubuntu FAN driver support V2 (LP 1439706)
      - debian/patches/1001-ubuntu-poc-fan-driver-v3.patch
        Ubuntu FAN driver support V3 (LP 1470091)
      - debian/patches/1002-ubuntu-poc-fan-driver-vxlan.patch
        Ubuntu FAN driver support VXLAN V4.
    - Drop: debian/patches/0001-Add-moo-feature.patch
    - set compat level 10 (no further changes needed)
    - Refresh: Ubuntu Fan driver (V2/3/4) patches
      Patches updated to apply against upstream 4.18 release.
  * Added changes:
    - debian/patches/1005-ubuntu-fix-testsuite-kenv.patch
      Fix testsuite failure if there are too many kernel config
      options.
    - Set debhelper dependency to >= 10 (no further changes needed)

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 22 Aug 2018 09:54:04 +0200

iproute2 (4.18.0-1) experimental; urgency=medium

  * Add Brazilian Portuguese translation for Debconf template. Thanks
    Adriano Rafael Gomes!
    (Closes: #903355)
  * Add Spanish translation for Debconf template. Thanks Jathan!
    (Closes: #903864)
  * Add German translation for Debconf template. Thanks Helge!
    (Closes: #906173)
  * Merge tag 'upstream/4.18.0'

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 Aug 2018 11:44:27 +0100

iproute2 (4.17.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Tue, 03 Jul 2018 21:23:37 +0100

iproute2 (4.17.0-1) experimental; urgency=medium

  * Add Dutch translation for debconf template. Thanks Frans Spiesschaert!
    (Closes: #899022)
  * Add French translation for debconf template. Thanks Alban Vidal!
    (Closes: #899320)
  * Merge tag 'upstream/4.17.0'
  * Drop patches merged upstream.

 -- Luca Boccassi <bluca@debian.org>  Sat, 09 Jun 2018 17:45:11 +0100

iproute2 (4.16.0-4ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/patches/1000-ubuntu-poc-fan-driver.patch [refreshed]
      Ubuntu FAN driver support V2 (LP 1439706)
    - debian/patches/1001-ubuntu-poc-fan-driver-v3.patch [refreshed]
      Ubuntu FAN driver support V3 (LP 1470091)
    - debian/patches/1002-ubuntu-poc-fan-driver-vxlan.patch [refreshed]
      Ubuntu FAN driver support VXLAN V4.
    - drop debian/patches/0001-Add-moo-feature.patch
    - set compat level 10 (no further changes needed)
  * Dropped (upstream)
    - d/p/netns-allow-negative-nsid: permit negative nsid using "auto".

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 30 Jul 2018 16:55:35 +0200

iproute2 (4.16.0-4) unstable; urgency=medium

  * Backport patch to fix regression in v6 automated parsing.
    (Closes: #898840)

 -- Luca Boccassi <bluca@debian.org>  Wed, 16 May 2018 17:49:44 +0100

iproute2 (4.16.0-3) unstable; urgency=medium

  * Add Russian translation for Debconf template. Thanks Lev Lamberov!
    (Closes: #898164)
  * Add Portuguese translation for Debconf template. Thanks Portuguese
    Translation Team!
    (Closes: #898292)
  * iproute2.postinst: use setcap -r instead of empty set.
    Thanks Mantas Mikulėnas!
  * Backport patch to avoid dropping caps if NET_ADMIN is inherited to
    avoid breaking applications that set ambient capabilities and then
    fork and exec ip.
    (Closes: #898015)
  * Re-enable pristine-tar (note: needs v1.43).

 -- Luca Boccassi <bluca@debian.org>  Tue, 15 May 2018 09:46:01 +0100

iproute2 (4.16.0-2) unstable; urgency=medium

  * Restrict iproute2 to linux-any

 -- Luca Boccassi <bluca@debian.org>  Thu, 03 May 2018 14:33:22 +0100

iproute2 (4.16.0-1) experimental; urgency=medium

  * Merge tag 'upstream/4.16.0' (Closes: #895719).
  * Drop 0005-revert-flush-default.patch, fixed upstream.
  * Build-Depend on libcap-dev and Depend on libcap-bin.
    If capabilities are set on /bin/ip, they will now be dropped
    immediately unless the command executed is ip vrf exec, in which case
    they will be dropped after the VRF has been switched, before forking.
  * Add capabilities to /bin/ip on postinst to fix ip vrf exec if the
    new low-priority debconf iproute2/setcaps is set to true (false by
    default).
  * Bump Standards-Version to 4.1.4, no changes.

 -- Luca Boccassi <bluca@debian.org>  Mon, 16 Apr 2018 14:44:50 +0100

iproute2 (4.15.0-3) unstable; urgency=medium

  * Backport 0005-revert-flush-default.patch to fix ip route flush all
    (Closes: #891511)

 -- Luca Boccassi <bluca@debian.org>  Mon, 12 Mar 2018 22:46:24 +0000
