=== debian/control ===
--- 
+++ 
@@ -7,27 +7,29 @@
 Homepage: https://wiki.linuxfoundation.org/networking/iproute2
 Vcs-Browser: https://salsa.debian.org/debian/iproute2.git
 Vcs-Git: https://salsa.debian.org/debian/iproute2.git
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Build-Depends: bison,
-               debhelper (>= 9),
+               debhelper (>= 10),
                flex,
                iptables-dev,
                libatm1-dev,
+               libcap-dev,
                libdb-dev,
                libelf-dev,
                libmnl-dev,
                libselinux1-dev,
                linux-libc-dev,
                pkg-config,
+               po-debconf,
                zlib1g-dev,
 
 Package: iproute2
 Priority: important
-Architecture: any
+Architecture: linux-any
 Provides: arpd
 Conflicts: arpd, iproute (<< 20130000-1)
 Replaces: iproute
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, libcap2-bin,
 Recommends: ${ipmods:Recommends}
 Suggests: iproute2-doc
 Multi-Arch: foreign
