=== debian/rules ===
#!/usr/bin/make -f

# for DEB_* variables
include /usr/share/dpkg/default.mk

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CROSS :=
else
	CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc HOSTCC=gcc PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
endif

%:
	dh $@

override_dh_clean:
	dh_clean
	make distclean

override_dh_shlibdeps:
	dh_shlibdeps -a -Xq_atm.so -Xm_xt.so -Xm_ipt.so
	dh_shlibdeps -a -- -pipmods -dRecommends -e debian/iproute2/usr/lib/tc/m_xt.so -e debian/iproute2/usr/lib/tc/q_atm.so -xlibc6

override_dh_auto_configure:
	$(CROSS) dh_auto_configure

override_dh_auto_build:
	$(MAKE) KERNEL_INCLUDE=./include $(CROSS)
