=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%.xz$%.sign%, decompress" \
	http://kernel.org/pub/linux/utils/net/iproute2/iproute2-(.+).tar.xz
