=== debian/changelog ===
iproute2 (4.19.0-cl4.3.1u14) RELEASED; urgency=medium

  * new build for 4.3.1 from original hash
    d7b8b7d0125664dcd6901a625dd4f7c8bd6afff4

 -- root <root@7490f848894d>  Fri, 09 Sep 2022 08:41:07 +0000

iproute2 (4.19.0-cl4.3.0u1) RELEASED; urgency=medium
  [ Benjamin Poirier ]
  * CUMULUS: Update kernel headers to fix RTM_F_OFFLOAD_FAILED definition
  * CUMULUS: Update kernel headers

  [ Jan Engelhardt ]
  * build: fix build failure with -fno-common

  [ Michael Forney ]
  * ipmroute: Prevent overlapping storage of `filter` global

  [ Stephen Hemminger ]
  * ipxfrm: make local functions static

  [ Roopa Prabhu ]
  * CUMULUS: ip route: Print "rt_offload_failed"
  * sync kernel keaders for RTM_F_OFFLOAD_FAILED flag
  * iplink: add support for protodown reason
  * Update kernel headers for protodown reason

  [ Julien Fortin ]
  * Merge pull request #4 in CRMC/iproute2 from cumulus-4.19.y-bridge-fdb-get-json-support to cumulus-4.19.y
  * Merge pull request #5 in CRMC/iproute2 from CM-31077 to cumulus-4.19.y
  * iplink_bridge_slave: add json support for IFLA_BRPORT_GROUP_FWD_MASKHI
  * bridge: fdb get: add missing json init (new_json_obj)
  * bridge: fdb show: fix fdb entry state output for json context

 --  Cumulus Support <dev-support@cumulusnetworks.com>  Thu, 10 Dec 2020 19:04:50 +0000

iproute2 (4.19.0-cl4.2.1u1) RELEASED; urgency=medium

  [ Nikolay Aleksandrov ]
  * CUMULUS: bridge: use new fdb attr for notification control

  [ Zhiqiang Liu ]
  * ipnetns: use-after-free problem in get_netnsid_from_name func

  [ Donald Sharp ]
  * nexthop: Fix Deletion display

 -- Cumulus Support <dev-support@cumulusnetworks.com>  Tue, 08 Sep 2020 13:09:15 -0700

iproute2 (4.19.0-cl4u3) RELEASED; urgency=medium

  [ Mike Manning ]
  * iplink_vlan: add support for VLAN bridge binding flag

  [ Matteo Croce ]
  * ip route: print route type in JSON output

  [ Roopa Prabhu ]
  * bridge: fdb: add support for sticky flag
  * neighbour.h: sync fdb nexthop uapi with kernel
  * CUMULUS: bridge: fdb: support for nexthop id
  * CUMULUS: bridge: support for NDA_NOTIFY
  * CUMULUS: include: uapi: sync neighbour.h for neigh override flag
  * CUMULUS: ipneigh: add support for state_override_weak
  * CUMULUS: ipneigh: add support for mh_peer_sync neigh flag

 -- Cumulus Support <dev-support@cumulusnetworks.com>  Tue, 02 Jun 2020 16:51:31 -0700

iproute2 (4.19.0-cl4u2) RELEASED; urgency=medium

  [ Roopa Prabhu ]
  * CUMULUS: ipvrf: change RLIMIT_MEMLOCK to RLIM_INFINITY

  [ Andy Roulin ]
  * CUMULUS: include/uapi: update bonding kernel header
  * iplink: bond: print lacp actor/partner oper states as strings

  [ Benjamin Poirier ]
  * json_print: Remove declaration without implementation
  * testsuite: Fix line count test
  * bridge: Fix typo in error messages
  * bridge: Fix src_vni argument in man page
  * bridge: Fix BRIDGE_VLAN_TUNNEL attribute sizes
  * bridge: Fix vni printing
  * bridge: Deduplicate vlan show functions
  * bridge: Fix tunnelshow json output

  [ Donald Sharp ]
  * ip route: Do not imply pref and ttl-propagate are per nexthop

 -- Cumulus Support <dev-support@cumulusnetworks.com>  Mon, 02 Mar 2020 20:17:22 -0800

iproute2 (4.19.0-cl4u1) RELEASED; urgency=medium

  [ Nikolay Aleksandrov ]
  * bridge: mdb: restore text output format

  [ David Ahern ]
  * Update kernel headers
  * libnetlink: Set NLA_F_NESTED in rta_nest
  * lwtunnel: Pass encap and encap_type attributes to lwt_parse_encap
  * libnetlink: Add helper to add a group via setsockopt
  * uapi: Import nexthop object API
  * libnetlink: Add helper to create nexthop dump request
  * ip route: Export print_rt_flags, print_rta_if and print_rta_gateway
  * Add support for nexthop objects
  * ip: Add man page for nexthop command
  * ip route: Add option to use nexthop objects
  * ipmonitor: Add nexthop option to monitor

  [ David Ahern ]
  * libnetlink: Convert GETADDR dumps to use rtnl_addrdump_req
  * libnetlink: Convert GETROUTE dumps to use rtnl_routedump_req
  * libnetlink: Convert GETADDRLABEL dumps to use rtnl_addrlbldump_req
  * libnetlink: Convert GETMDB dumps to use rtnl_mdbdump_req
  * libnetlink: Convert GETNETCONF dumps to use rtnl_netconfdump_req
  * libnetlink: Convert GETRULE dumps to use rtnl_ruledump_req
  * libnetlink: Convert GETNEIGH dumps to use rtnl_neighdump_req
  * libnetlink: Convert GETNEIGHTBL dumps to use rtnl_neightbldump_req
  * libnetlink: Convert GETNSID dumps to use rtnl_nsiddump_req
  * libnetlink: Rename rtnl_wilddump_* to rtnl_linkdump_*
  * libnetlink: Rename rtnl_wilddump_stats_req_filter to rtnl_statsdump_req_filter
  * Tree wide: Drop sockaddr_nl arg
  * iplink: Remove flags argument from iplink_get
  * ip rule: Honor filter arguments on flush
  * ip rule: Require at least one argument for add
  * ip rule: Add ipproto and port range to filter list

  [ Phil Sutter ]
  * ip-route: Fix nexthop encap parsing
  * ip-address: Fix filtering by negated address flags

  [ Nicolas Dichtel ]
  * ipnetns: parse nsid as a signed integer

  [ Petr Machata ]
  * libnetlink: Process further iovs on no error

  [ David Ahern ]
  * libnetlink: dump extack string in done message
  * libnetlink: Use NLMSG_LENGTH to set nlmsg_len
  * libnetlink: linkdump_req: Only AF_UNSPEC family expects an ext_filter_mask
  * ip route: Remove rtnl_rtcache_request
  * ip route: Add protocol, table id and device to dump request
  * mroute: fix up family handling
  * mroute: Add table id attribute for kernel side filtering
  * ip address: Split ip_linkaddr_list into link and addr functions
  * ip address: Set device index in dump request
  * Update kernel headers
  * ip bridge: Set NETLINK_GET_STRICT_CHK on socket
  * ip route: Rename do_ipv6 to dump_family
  * neighbor: Add support for protocol attribute

  [ Ido Schimmel ]
  * bridge: fdb: Use 'struct ndmsg' for FDB dumping

  [ David Ahern ]
  * libnetlink: Add filter function to rtnl_neighdump_req
  * ip neigh: Convert do_show_or_flush to use rtnl_neighdump_req

