=== debian/control ===
Source: iproute2
Section: net
Priority: optional
Maintainer: Debian iproute2 Maintainers <ah-iproute@debian.org>
Uploaders: Roopa Prabuu <roopa@cumulusnetworks.com>
Homepage: http://www.linux-foundation.org/en/Net:Iproute2
Standards-Version: 4.3.0
Build-Depends: bison,
               debhelper (>= 10~),
               flex,
               iptables-dev,
               libatm1-dev,
               libcap-dev,
               libelf-dev,
               libmnl-dev,
               libselinux1-dev,
               linux-libc-dev,
               pkg-config,
               po-debconf,
               zlib1g-dev,
               git
XS-Build-Source: True
XS-Cumulus-Valid-Arch: amd64 armel
XBCS-Vcs-Hash: d7b8b7d0125664dcd6901a625dd4f7c8bd6afff4

Package: iproute2
Priority: important
Architecture: linux-any
Provides: arpd
Conflicts: arpd, iproute (<< 20130000-1)
Replaces: iproute
Depends: ${misc:Depends}, ${shlibs:Depends}, libcap2-bin
Recommends: ${ipmods:Recommends}
Suggests: iproute2-doc
Multi-Arch: foreign
Description: networking and traffic control tools
 The iproute2 suite is a collection of utilities for networking and
 traffic control.
 .
 These tools communicate with the Linux kernel via the (rt)netlink
 interface, providing advanced features not available through the
 legacy net-tools commands 'ifconfig' and 'route'.
XBCS-Vcs-Hash: d7b8b7d0125664dcd6901a625dd4f7c8bd6afff4

Package: iproute2-doc
Section: doc
Architecture: all
Conflicts: iproute-doc (<< 20130000-1)
Replaces: iproute-doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: networking and traffic control tools - documentation
 The iproute2 suite is a collection of utilities for networking and
 traffic control.
 .
 This package contains the documentation for iproute.
XBCS-Vcs-Hash: d7b8b7d0125664dcd6901a625dd4f7c8bd6afff4
